#!/usr/bin/perl

# Requirements
# - LWP::UserAgent
# - HTML::Entities
#
# Configuration
# 1) Replace testuser with your username
# 2) Replace testpw with your password
#
# Automation
# On Linux
#   Add a cronjob to run this script every 5 minutes
# On Windows
#   Option 1) Have your bbs software run an event to run the script
#             every 5 minutes
#   Option 2) Download a cron type program, and have it run the script
#             every 5 minutes (task scheduler wont do every 5 mins)

my $username = 'testuser';
my $password = 'testpw';

## You shouldnt have to modify anything below here

eval { use LWP::UserAgent; };
if ($@) {
	print "You need the LWP::UserAgent module installed.\r\n";
	exit;
}

eval { use HTML::Entities; };
if ($@) {
	print "You need the HTML::Entities module installed.\r\n";
	exit;
}


$username = &encode_entities($username);
$password = &encode_entities($password);

my $url = "http://www.bbsfinder.com/update.asp?un=$username&pw=$password";

# Create a user agent object
$ua = LWP::UserAgent->new;
$ua->agent("BBSFinderPerlUpdater/0.1");

# Create a request
my $req = HTTP::Request->new(GET => $url);

# Pass request to the user agent and get a response back
my $res = $ua->request($req);

# Check the outcome of the response
if ($res->is_success) {
	if ($res->content eq '0') {
		print "Success\r\n";
	} else { 
		print "Error\r\n";
	}
} else {
	print "Can't connect to bbsfinder.com\r\n";
}
